zenilib: zenilib/jni/external/sdl/src/thread/pthread/SDL_systhread.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
SDL_systhread.c File Reference
`#include "SDL_config.h"`
`#include <pthread.h>`
`#include <signal.h>`
`#include "SDL_platform.h"`
`#include "SDL_thread.h"`
`#include "../SDL_thread_c.h"`
`#include "../SDL_systhread.h"`
`#include "SDL_assert.h"`

Go to the source code of this file.

## Functions

static void * | RunThread (void *data)
int | SDL_SYS_CreateThread (SDL_Thread *thread, void *args)
int | SDL_SYS_SetThreadPriority (SDL_ThreadPriority priority)
void | SDL_SYS_SetupThread (const char *name)
void | SDL_SYS_WaitThread (SDL_Thread *thread)
SDL_threadID | SDL_ThreadID (void)

## Variables

static const int | sig_list []

## Function Documentation

static void* RunThread | ( | void * | data | ) |

static

Definition at line 64 of file SDL_systhread.c.

References Android_JNI_SetupThread(), NULL, and SDL_RunThread().

Referenced by SDL_SYS_CreateThread().

int SDL_SYS_CreateThread | ( | SDL_Thread * | thread,
|  | void * | args
| ) |  |

Definition at line 81 of file SDL_systhread.c.

References SDL_Thread::handle, int, NULL, RunThread(), SDL_SetError(), SDL_TRUE, and ThreadEntry().

int SDL_SYS_SetThreadPriority | ( | SDL_ThreadPriority | priority | ) |

Definition at line 158 of file SDL_systhread.c.

References SDL_SetError(), SDL_THREAD_PRIORITY_HIGH, SDL_THREAD_PRIORITY_LOW, and thread.

void SDL_SYS_SetupThread | ( | const char * | name | ) |

Definition at line 113 of file SDL_systhread.c.

References i, NULL, SDL_assert, and sig_list.

void SDL_SYS_WaitThread | ( | SDL_Thread * | thread | ) |

Definition at line 202 of file SDL_systhread.c.

References SDL_Thread::handle.

SDL_threadID SDL_ThreadID | ( | void |  | ) |

Get the thread identifier for the current thread.

Definition at line 152 of file SDL_systhread.c.

Referenced by SDL_AudioLockDevice_Default(), SDL_AudioUnlockDevice_Default(), SDL_Generic_GetTLSData(), SDL_Generic_SetTLSData(), SDL_GetThreadID(), SDL_LockMutex(), SDL_mutexP(), SDL_mutexV(), SDL_RunAudio(), SDL_RunThread(), and SDL_TryLockMutex().

## Variable Documentation

const int sig_list[]

static

Initial value:
= {
SIGHUP, SIGINT, SIGQUIT, SIGPIPE, SIGALRM, SIGTERM, SIGCHLD, SIGWINCH,
SIGVTALRM, SIGPROF, 0
}

Definition at line 57 of file SDL_systhread.c.

Referenced by SDL_SYS_SetupThread().